﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="testModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="AUTO_SERVICIOS">
          <Key>
            <PropertyRef Name="SERVI_ID" />
            <PropertyRef Name="INGR_ID" />
          </Key>
          <Property Name="SERVI_ID" Type="int" Nullable="false" />
          <Property Name="INGR_ID" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="AUTOS">
          <Key>
            <PropertyRef Name="ID_AUTO" />
          </Key>
          <Property Name="ID_AUTO" Type="int" Nullable="false" />
          <Property Name="ID_MODELO" Type="varchar" MaxLength="100" />
          <Property Name="PATENTE" Type="varchar" MaxLength="20" />
          <Property Name="ANO" Type="int" />
          <Property Name="COLOR" Type="varchar" MaxLength="20" />
          <Property Name="OBSERVACION" Type="varchar" MaxLength="200" />
        </EntityType>
        <EntityType Name="CARGOS">
          <Key>
            <PropertyRef Name="ID_CARGO" />
          </Key>
          <Property Name="ID_CARGO" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="DESCRIPCION" Type="varchar" MaxLength="200" />
        </EntityType>
        <EntityType Name="INGRESA_VEHICULO">
          <Key>
            <PropertyRef Name="INGR_ID" />
          </Key>
          <Property Name="INGR_ID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="ID_AUTO" Type="int" />
          <Property Name="INGR_FECHA_INGRESO" Type="datetime" />
          <Property Name="INGR_RUT_CLIENTE" Type="varchar" MaxLength="20" />
        </EntityType>
        <EntityType Name="MARCA">
          <Key>
            <PropertyRef Name="ID_MARCA" />
          </Key>
          <Property Name="ID_MARCA" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="DESCRIPCION" Type="varchar" MaxLength="100" />
        </EntityType>
        <EntityType Name="MODELO">
          <Key>
            <PropertyRef Name="ID_MODELO" />
          </Key>
          <Property Name="ID_MODELO" Type="varchar" MaxLength="100" Nullable="false" />
          <Property Name="ID_MARCA" Type="int" />
          <Property Name="DESCRIPCION_MODELO" Type="varchar" MaxLength="200" />
        </EntityType>
        <EntityType Name="Persona">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="rut" Type="varchar" MaxLength="20" />
          <Property Name="nombre" Type="varchar" MaxLength="300" />
          <Property Name="apellido" Type="varchar" MaxLength="400" />
          <Property Name="edad" Type="int" />
        </EntityType>
        <EntityType Name="SERVICIOS">
          <Key>
            <PropertyRef Name="SERVI_ID" />
          </Key>
          <Property Name="SERVI_ID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="SERVI_DESCRIPCION" Type="varchar" MaxLength="100" />
          <Property Name="SERVI_VALOR" Type="int" />
        </EntityType>
        <EntityType Name="TRABAJADOR">
          <Key>
            <PropertyRef Name="ID_TRABAJADOR" />
          </Key>
          <Property Name="ID_TRABAJADOR" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="ID_CARGO" Type="int" />
          <Property Name="RUT_TRABAJADOR" Type="varchar" MaxLength="20" />
          <Property Name="NOMBRE" Type="varchar" MaxLength="100" />
          <Property Name="APELLIDOS" Type="varchar" MaxLength="300" />
          <Property Name="EDAD" Type="int" />
        </EntityType>
        <Association Name="FK__AUTO_SERV__INGR___3A81B327">
          <End Role="INGRESA_VEHICULO" Type="Self.INGRESA_VEHICULO" Multiplicity="1" />
          <End Role="AUTO_SERVICIOS" Type="Self.AUTO_SERVICIOS" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="INGRESA_VEHICULO">
              <PropertyRef Name="INGR_ID" />
            </Principal>
            <Dependent Role="AUTO_SERVICIOS">
              <PropertyRef Name="INGR_ID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__AUTO_SERV__SERVI__398D8EEE">
          <End Role="SERVICIOS" Type="Self.SERVICIOS" Multiplicity="1" />
          <End Role="AUTO_SERVICIOS" Type="Self.AUTO_SERVICIOS" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="SERVICIOS">
              <PropertyRef Name="SERVI_ID" />
            </Principal>
            <Dependent Role="AUTO_SERVICIOS">
              <PropertyRef Name="SERVI_ID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__AUTOS__ID_MODELO__31EC6D26">
          <End Role="MODELO" Type="Self.MODELO" Multiplicity="0..1" />
          <End Role="AUTOS" Type="Self.AUTOS" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="MODELO">
              <PropertyRef Name="ID_MODELO" />
            </Principal>
            <Dependent Role="AUTOS">
              <PropertyRef Name="ID_MODELO" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__INGRESA_V__ID_AU__36B12243">
          <End Role="AUTOS" Type="Self.AUTOS" Multiplicity="0..1" />
          <End Role="INGRESA_VEHICULO" Type="Self.INGRESA_VEHICULO" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="AUTOS">
              <PropertyRef Name="ID_AUTO" />
            </Principal>
            <Dependent Role="INGRESA_VEHICULO">
              <PropertyRef Name="ID_AUTO" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__MODELO__ID_MARCA__2C3393D0">
          <End Role="MARCA" Type="Self.MARCA" Multiplicity="0..1" />
          <End Role="MODELO" Type="Self.MODELO" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="MARCA">
              <PropertyRef Name="ID_MARCA" />
            </Principal>
            <Dependent Role="MODELO">
              <PropertyRef Name="ID_MARCA" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__TRABAJADO__ID_CA__2D27B809">
          <End Role="CARGOS" Type="Self.CARGOS" Multiplicity="0..1" />
          <End Role="TRABAJADOR" Type="Self.TRABAJADOR" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="CARGOS">
              <PropertyRef Name="ID_CARGO" />
            </Principal>
            <Dependent Role="TRABAJADOR">
              <PropertyRef Name="ID_CARGO" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="testModelStoreContainer">
          <EntitySet Name="AUTO_SERVICIOS" EntityType="Self.AUTO_SERVICIOS" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="AUTOS" EntityType="Self.AUTOS" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="CARGOS" EntityType="Self.CARGOS" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="INGRESA_VEHICULO" EntityType="Self.INGRESA_VEHICULO" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="MARCA" EntityType="Self.MARCA" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="MODELO" EntityType="Self.MODELO" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Persona" EntityType="Self.Persona" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="SERVICIOS" EntityType="Self.SERVICIOS" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="TRABAJADOR" EntityType="Self.TRABAJADOR" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK__AUTO_SERV__INGR___3A81B327" Association="Self.FK__AUTO_SERV__INGR___3A81B327">
            <End Role="INGRESA_VEHICULO" EntitySet="INGRESA_VEHICULO" />
            <End Role="AUTO_SERVICIOS" EntitySet="AUTO_SERVICIOS" />
          </AssociationSet>
          <AssociationSet Name="FK__AUTO_SERV__SERVI__398D8EEE" Association="Self.FK__AUTO_SERV__SERVI__398D8EEE">
            <End Role="SERVICIOS" EntitySet="SERVICIOS" />
            <End Role="AUTO_SERVICIOS" EntitySet="AUTO_SERVICIOS" />
          </AssociationSet>
          <AssociationSet Name="FK__AUTOS__ID_MODELO__31EC6D26" Association="Self.FK__AUTOS__ID_MODELO__31EC6D26">
            <End Role="MODELO" EntitySet="MODELO" />
            <End Role="AUTOS" EntitySet="AUTOS" />
          </AssociationSet>
          <AssociationSet Name="FK__INGRESA_V__ID_AU__36B12243" Association="Self.FK__INGRESA_V__ID_AU__36B12243">
            <End Role="AUTOS" EntitySet="AUTOS" />
            <End Role="INGRESA_VEHICULO" EntitySet="INGRESA_VEHICULO" />
          </AssociationSet>
          <AssociationSet Name="FK__MODELO__ID_MARCA__2C3393D0" Association="Self.FK__MODELO__ID_MARCA__2C3393D0">
            <End Role="MARCA" EntitySet="MARCA" />
            <End Role="MODELO" EntitySet="MODELO" />
          </AssociationSet>
          <AssociationSet Name="FK__TRABAJADO__ID_CA__2D27B809" Association="Self.FK__TRABAJADO__ID_CA__2D27B809">
            <End Role="CARGOS" EntitySet="CARGOS" />
            <End Role="TRABAJADOR" EntitySet="TRABAJADOR" />
          </AssociationSet>
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="testModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="CARGOS">
          <Key>
            <PropertyRef Name="ID_CARGO" />
          </Key>
          <Property Name="ID_CARGO" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="DESCRIPCION" Type="String" MaxLength="200" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="TRABAJADOR" Relationship="Self.FK__TRABAJADO__ID_CA__2F10007B" FromRole="CARGOS" ToRole="TRABAJADOR" />
        </EntityType>
        <EntityType Name="MARCA">
          <Key>
            <PropertyRef Name="ID_MARCA" />
          </Key>
          <Property Name="ID_MARCA" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="DESCRIPCION" Type="String" MaxLength="100" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="MODELO" Relationship="Self.FK__MODELO__ID_MARCA__276EDEB3" FromRole="MARCA" ToRole="MODELO" />
        </EntityType>
        <EntityType Name="MODELO">
          <Key>
            <PropertyRef Name="ID_MODELO" />
          </Key>
          <Property Name="ID_MODELO" Type="String" MaxLength="100" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="ID_MARCA" Type="Int32" />
          <Property Name="DESCRIPCION_MODELO" Type="String" MaxLength="200" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="MARCA" Relationship="Self.FK__MODELO__ID_MARCA__276EDEB3" FromRole="MODELO" ToRole="MARCA" />
          <NavigationProperty Name="AUTOS" Relationship="testModel.FK__AUTOS__ID_MODELO__31EC6D26" FromRole="MODELO" ToRole="AUTOS" />
        </EntityType>
        <EntityType Name="Persona">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="rut" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
          <Property Name="nombre" Type="String" MaxLength="300" FixedLength="false" Unicode="false" />
          <Property Name="apellido" Type="String" MaxLength="400" FixedLength="false" Unicode="false" />
          <Property Name="edad" Type="Int32" />
        </EntityType>
        <EntityType Name="TRABAJADOR">
          <Key>
            <PropertyRef Name="ID_TRABAJADOR" />
          </Key>
          <Property Name="ID_TRABAJADOR" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="ID_CARGO" Type="Int32" />
          <Property Name="RUT_TRABAJADOR" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
          <Property Name="NOMBRE" Type="String" MaxLength="100" FixedLength="false" Unicode="false" />
          <Property Name="APELLIDOS" Type="String" MaxLength="300" FixedLength="false" Unicode="false" />
          <Property Name="EDAD" Type="Int32" />
          <NavigationProperty Name="CARGOS" Relationship="Self.FK__TRABAJADO__ID_CA__2F10007B" FromRole="TRABAJADOR" ToRole="CARGOS" />
        </EntityType>
        <Association Name="FK__TRABAJADO__ID_CA__2F10007B">
          <End Role="CARGOS" Type="Self.CARGOS" Multiplicity="0..1" />
          <End Role="TRABAJADOR" Type="Self.TRABAJADOR" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="CARGOS">
              <PropertyRef Name="ID_CARGO" />
            </Principal>
            <Dependent Role="TRABAJADOR">
              <PropertyRef Name="ID_CARGO" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__MODELO__ID_MARCA__276EDEB3">
          <End Role="MARCA" Type="Self.MARCA" Multiplicity="0..1" />
          <End Role="MODELO" Type="Self.MODELO" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="MARCA">
              <PropertyRef Name="ID_MARCA" />
            </Principal>
            <Dependent Role="MODELO">
              <PropertyRef Name="ID_MARCA" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="testEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="CARGOS" EntityType="Self.CARGOS" />
          <EntitySet Name="MARCA" EntityType="Self.MARCA" />
          <EntitySet Name="MODELO" EntityType="Self.MODELO" />
          <EntitySet Name="Persona" EntityType="Self.Persona" />
          <EntitySet Name="TRABAJADOR" EntityType="Self.TRABAJADOR" />
          <AssociationSet Name="FK__TRABAJADO__ID_CA__2F10007B" Association="Self.FK__TRABAJADO__ID_CA__2F10007B">
            <End Role="CARGOS" EntitySet="CARGOS" />
            <End Role="TRABAJADOR" EntitySet="TRABAJADOR" />
          </AssociationSet>
          <AssociationSet Name="FK__MODELO__ID_MARCA__276EDEB3" Association="Self.FK__MODELO__ID_MARCA__276EDEB3">
            <End Role="MARCA" EntitySet="MARCA" />
            <End Role="MODELO" EntitySet="MODELO" />
          </AssociationSet>
          <EntitySet Name="AUTOS" EntityType="testModel.AUTOS" />
          <EntitySet Name="INGRESA_VEHICULO" EntityType="testModel.INGRESA_VEHICULO" />
          <EntitySet Name="SERVICIOS" EntityType="testModel.SERVICIOS" />
          <AssociationSet Name="FK__AUTOS__ID_MODELO__31EC6D26" Association="testModel.FK__AUTOS__ID_MODELO__31EC6D26">
            <End Role="MODELO" EntitySet="MODELO" />
            <End Role="AUTOS" EntitySet="AUTOS" />
          </AssociationSet>
          <AssociationSet Name="FK__INGRESA_V__ID_AU__36B12243" Association="testModel.FK__INGRESA_V__ID_AU__36B12243">
            <End Role="AUTOS" EntitySet="AUTOS" />
            <End Role="INGRESA_VEHICULO" EntitySet="INGRESA_VEHICULO" />
          </AssociationSet>
          <AssociationSet Name="AUTO_SERVICIOS" Association="testModel.AUTO_SERVICIOS">
            <End Role="INGRESA_VEHICULO" EntitySet="INGRESA_VEHICULO" />
            <End Role="SERVICIOS" EntitySet="SERVICIOS" />
          </AssociationSet>
        </EntityContainer>
        <EntityType Name="AUTOS">
          <Key>
            <PropertyRef Name="ID_AUTO" />
          </Key>
          <Property Name="ID_AUTO" Type="Int32" Nullable="false" />
          <Property Name="ID_MODELO" Type="String" MaxLength="100" FixedLength="false" Unicode="false" />
          <Property Name="PATENTE" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
          <Property Name="ANO" Type="Int32" />
          <Property Name="COLOR" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
          <Property Name="OBSERVACION" Type="String" MaxLength="200" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="MODELO" Relationship="testModel.FK__AUTOS__ID_MODELO__31EC6D26" FromRole="AUTOS" ToRole="MODELO" />
          <NavigationProperty Name="INGRESA_VEHICULO" Relationship="testModel.FK__INGRESA_V__ID_AU__36B12243" FromRole="AUTOS" ToRole="INGRESA_VEHICULO" />
        </EntityType>
        <EntityType Name="INGRESA_VEHICULO">
          <Key>
            <PropertyRef Name="INGR_ID" />
          </Key>
          <Property Name="INGR_ID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="ID_AUTO" Type="Int32" />
          <Property Name="INGR_FECHA_INGRESO" Type="DateTime" Precision="3" />
          <Property Name="INGR_RUT_CLIENTE" Type="String" MaxLength="20" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="AUTOS" Relationship="testModel.FK__INGRESA_V__ID_AU__36B12243" FromRole="INGRESA_VEHICULO" ToRole="AUTOS" />
          <NavigationProperty Name="SERVICIOS" Relationship="testModel.AUTO_SERVICIOS" FromRole="INGRESA_VEHICULO" ToRole="SERVICIOS" />
        </EntityType>
        <EntityType Name="SERVICIOS">
          <Key>
            <PropertyRef Name="SERVI_ID" />
          </Key>
          <Property Name="SERVI_ID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="SERVI_DESCRIPCION" Type="String" MaxLength="100" FixedLength="false" Unicode="false" />
          <Property Name="SERVI_VALOR" Type="Int32" />
          <NavigationProperty Name="INGRESA_VEHICULO" Relationship="testModel.AUTO_SERVICIOS" FromRole="SERVICIOS" ToRole="INGRESA_VEHICULO" />
        </EntityType>
        <Association Name="FK__AUTOS__ID_MODELO__31EC6D26">
          <End Type="testModel.MODELO" Role="MODELO" Multiplicity="0..1" />
          <End Type="testModel.AUTOS" Role="AUTOS" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="MODELO">
              <PropertyRef Name="ID_MODELO" />
            </Principal>
            <Dependent Role="AUTOS">
              <PropertyRef Name="ID_MODELO" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__INGRESA_V__ID_AU__36B12243">
          <End Type="testModel.AUTOS" Role="AUTOS" Multiplicity="0..1" />
          <End Type="testModel.INGRESA_VEHICULO" Role="INGRESA_VEHICULO" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="AUTOS">
              <PropertyRef Name="ID_AUTO" />
            </Principal>
            <Dependent Role="INGRESA_VEHICULO">
              <PropertyRef Name="ID_AUTO" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="AUTO_SERVICIOS">
          <End Type="testModel.INGRESA_VEHICULO" Role="INGRESA_VEHICULO" Multiplicity="*" />
          <End Type="testModel.SERVICIOS" Role="SERVICIOS" Multiplicity="*" />
        </Association>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="testModelStoreContainer" CdmEntityContainer="testEntities">
          <EntitySetMapping Name="CARGOS">
            <EntityTypeMapping TypeName="testModel.CARGOS">
              <MappingFragment StoreEntitySet="CARGOS">
                <ScalarProperty Name="ID_CARGO" ColumnName="ID_CARGO" />
                <ScalarProperty Name="DESCRIPCION" ColumnName="DESCRIPCION" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="MARCA">
            <EntityTypeMapping TypeName="testModel.MARCA">
              <MappingFragment StoreEntitySet="MARCA">
                <ScalarProperty Name="ID_MARCA" ColumnName="ID_MARCA" />
                <ScalarProperty Name="DESCRIPCION" ColumnName="DESCRIPCION" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="MODELO">
            <EntityTypeMapping TypeName="testModel.MODELO">
              <MappingFragment StoreEntitySet="MODELO">
                <ScalarProperty Name="ID_MODELO" ColumnName="ID_MODELO" />
                <ScalarProperty Name="ID_MARCA" ColumnName="ID_MARCA" />
                <ScalarProperty Name="DESCRIPCION_MODELO" ColumnName="DESCRIPCION_MODELO" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Persona">
            <EntityTypeMapping TypeName="testModel.Persona">
              <MappingFragment StoreEntitySet="Persona">
                <ScalarProperty Name="id" ColumnName="id" />
                <ScalarProperty Name="rut" ColumnName="rut" />
                <ScalarProperty Name="nombre" ColumnName="nombre" />
                <ScalarProperty Name="apellido" ColumnName="apellido" />
                <ScalarProperty Name="edad" ColumnName="edad" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="TRABAJADOR">
            <EntityTypeMapping TypeName="testModel.TRABAJADOR">
              <MappingFragment StoreEntitySet="TRABAJADOR">
                <ScalarProperty Name="ID_TRABAJADOR" ColumnName="ID_TRABAJADOR" />
                <ScalarProperty Name="ID_CARGO" ColumnName="ID_CARGO" />
                <ScalarProperty Name="RUT_TRABAJADOR" ColumnName="RUT_TRABAJADOR" />
                <ScalarProperty Name="NOMBRE" ColumnName="NOMBRE" />
                <ScalarProperty Name="APELLIDOS" ColumnName="APELLIDOS" />
                <ScalarProperty Name="EDAD" ColumnName="EDAD" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="AUTOS">
            <EntityTypeMapping TypeName="testModel.AUTOS">
              <MappingFragment StoreEntitySet="AUTOS">
                <ScalarProperty Name="OBSERVACION" ColumnName="OBSERVACION" />
                <ScalarProperty Name="COLOR" ColumnName="COLOR" />
                <ScalarProperty Name="ANO" ColumnName="ANO" />
                <ScalarProperty Name="PATENTE" ColumnName="PATENTE" />
                <ScalarProperty Name="ID_MODELO" ColumnName="ID_MODELO" />
                <ScalarProperty Name="ID_AUTO" ColumnName="ID_AUTO" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="INGRESA_VEHICULO">
            <EntityTypeMapping TypeName="testModel.INGRESA_VEHICULO">
              <MappingFragment StoreEntitySet="INGRESA_VEHICULO">
                <ScalarProperty Name="INGR_RUT_CLIENTE" ColumnName="INGR_RUT_CLIENTE" />
                <ScalarProperty Name="INGR_FECHA_INGRESO" ColumnName="INGR_FECHA_INGRESO" />
                <ScalarProperty Name="ID_AUTO" ColumnName="ID_AUTO" />
                <ScalarProperty Name="INGR_ID" ColumnName="INGR_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="SERVICIOS">
            <EntityTypeMapping TypeName="testModel.SERVICIOS">
              <MappingFragment StoreEntitySet="SERVICIOS">
                <ScalarProperty Name="SERVI_VALOR" ColumnName="SERVI_VALOR" />
                <ScalarProperty Name="SERVI_DESCRIPCION" ColumnName="SERVI_DESCRIPCION" />
                <ScalarProperty Name="SERVI_ID" ColumnName="SERVI_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <AssociationSetMapping Name="AUTO_SERVICIOS" TypeName="testModel.AUTO_SERVICIOS" StoreEntitySet="AUTO_SERVICIOS">
            <EndProperty Name="SERVICIOS">
              <ScalarProperty Name="SERVI_ID" ColumnName="SERVI_ID" />
            </EndProperty>
            <EndProperty Name="INGRESA_VEHICULO">
              <ScalarProperty Name="INGR_ID" ColumnName="INGR_ID" />
            </EndProperty>
          </AssociationSetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="false" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="Ninguno" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>